:
# $Id: convrp.sh,v 3.2 1991/04/09 11:39:02 pablog Exp $
#	Copyright (c) 1990 InterSoft Argentina S.A.
#	  All Rights Reserved
#
#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF INTERSOFT
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.
#
# ident	"@(#)convrp.sh	3.5 - 10/09/1990"
#	convrp.sh reporte[.rp] [...] - convdb command, uses environment 
#						     variables dbase and IDEAFIX.
echo "convrp.sh: 3.5B Copyright InterSoft Co. (c)1988-91"

#verifico la existencia del filtro
DIR=`pwd`
cd $IDEAFIX/bin
if [ ! -f ./filtro ]
then
	cfix -e filtro.c
fi

#verifico nuevamente
if [ ! -f ./filtro ]
then
	echo "No se encuentra el utilitario filtro"
	exit 1
fi

#vuelvo al directorio anterior
cd $DIR

COMP=0
if [ "$1" = -g ]
then
	COMP=1
	shift
fi
for i in $*
do
	FILE=`echo \`basename $i .rp\`.rp`
	if [ ! -f ./$FILE ]
	then
		echo "No se pudo encontrar el archivo "$FILE
	else
		mv $FILE $FILE.$$
		filtro 0 < $FILE.$$ > $FILE
		rm $FILE.$$
		echo $i":"
		ex - $FILE <<- 'EOF'
		g/before[ 	]*\\$/s/\\$// | j
		g/before[ 	]*page/s//before (page, report)/
		g/after[ 	]*\\$/s/\\// | j
		g/after[ 	]*page/s//after (page, report)/
		wq
		EOF
		if [ $COMP -eq 1 ]
		then
			rgen -b $i
		fi
		mv $FILE $FILE.$$
		filtro 1 < $FILE.$$ > $FILE
		rm $FILE.$$
	fi
done
