//
// Programa SQL para listar localidades por provincia.
//
// La consulta recibe un parmetro que define el destino
// de la salida una vez formateada por el reporte "local".
//
USE demo;                              // Conecto la base de datos.
SELECT codpro,                         // Elijo los campos que listo.
       nombre, 
       codloc, 
       local.nombre
FROM   provin, local                   // Indico de que tablas leo.
WHERE  provin.codpro = local.codpro    // Relacion entre las tablas.
OUTPUT TO REPORT "local" TO $1;        // Formateo y dirijo la salida.

