/********************************************************************
* Copyright (c) 1987 InterSoft Co.  All Rights Reserved
* THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF InterSoft Co.
* The copyright notice above does not evidence any
* actual or intended publication of such source code.
*
* $Id: ideafix.h,v 1.9 1996/08/22 18:21:49 gustavof Exp $
*
* DESCRIPTION
* Ideafix API
*********************************************************************/

#ifndef IDEAFIX_H
#define IDEAFIX_H

/* Macros to define IdeaFix version and release date */
#define IDEA_VERSION    	432
#define IDEA_RELEASE_DATE	"23/08/96"

/* typedef ixBool Bool; */

#ifndef __cplusplus

/* "C" User API */

#	include <ifound/osdep.h>
#   include <cfix/types.h>

#	include <ifound/macros.h>
#	include <ifound/istdarg.h>
#	include <ifound/functype.h>
#	include <ifound/chset.h>

#	ifndef BUFSIZ
#		include <stdio.h>
#	endif

#	include <cfix.h>
#   include <cfix/types.h>

#else

#	ifndef BUFSIZ
#		include <stdio.h>
#	endif

#	include <ifound/osdep.h>
#	include <cfix/types.h>

// "C++" User API

#	include <ifound.h>
#	include <ifound/itypes.h>
#	include <ifound/msgtable.h>
#	include <ifound/message.h>

#if 0
#	include <ideafix/dbm.h>
#endif

#ifdef GUI_APPLICATION
#	include <ideafix/fm.h>
#	include <ideafix/rp.h>
#	include <ideafix/grid.h>
#else
#	include <ideafix/form.h>
#	include <ideafix/report.h>
#endif

// just to be used by Ideafix 4.x programs
#	include <cfix.h>

#endif

#endif
