// -----------------------------------------------------------------------
// Copyright (c) 1995 InterSoft Co.  All Rights Reserved
// THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF InterSoft Co.
// The copyright notice above does not evidence any actual or intended 
// publication of such source code.
//
// $Id: fmgroup.h,v 1.5 1996/07/15 19:53:34 eugen Exp $
//
// Description:
// -----------------------------------------------------------------------

#ifndef FMGROUP_H
#define FMGROUP_H

#ifdef __GNUC__
#pragma interface
#endif

#include <ideafix/priv/fmobj.h>

class FmObjGroup : public FmObjCollection {
	typedef FmObjCollection inherited;
	
public:
	FM_DECLARE_CLASS
	
	virtual String nfmItemName() const;

	virtual FieldType fType() const;
	virtual bool validate(Int row, const String &val);
	bool validateUnique(Int row);
	bool _isNull(FmBufferRow br);
};

#endif

