// --------------------------------------------------------------------
// Copyright (c) 1995 InterSoft Co.  All Rights Reserved
// THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF InterSoft Co.
// The copyright notice above does not evidence any actual or intended 
// publication of such source code.
//
// $Id: pupmenur.h,v 1.5 1996/07/31 15:08:02 ksa Exp $
//
// Description:
// --------------------------------------------------------------------

#ifndef PUPMENUR_H
#define PUPMENUR_H

#include <ifound.h>
#include <ifound/str.h>

class wxFrame;
class wxPopupMenu;
class PopMenu;

class PopMenuRep
{
public:

	PopMenuRep(PopMenu *userMenu, FramedObject *parent, const String &title,
			Int x, Int y, Int width, Int height, Int nrows, Int ncols,
			bool stay = false);
	~PopMenuRep();

	inline PopMenu *userMenu() const;
	inline FramedObject *parent() const;
	inline Int nRows() const;
	inline bool stay() const;

	wxFrame *wxWindowsCreate();
	void wxWindowsDestroy();
	Int wxWindowsMainLoop();

	bool crackerCreate(RequestConnection &conn);
	void crackerDestroy(RequestConnection &conn);
	void sendLines(RequestConnection &conn, Int from, Int count);

private:

	PopMenu *userMenu_x;
	FramedObject *parent_x;
	wxPopupMenu *menu_d;
	String title_d;
	Int x_d;
	Int y_d;
	Int w_d;
	Int h_d;
	Int nRows_d;
	Int nCols_d;
	bool stay_d;
	
	Int selectedRow_d;
};

#include <ideafix/priv/pupmenur.icc>

#endif PUPMENU_H
