/********************************************************************
*
* Copyright (c) 1995 InterSoft Co.  All Rights Reserved
* THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF InterSoft Co.
* The copyright notice above does not evidence any
* actual or intended publication of such source code.
*
* $Id: dbascii.h,v 1.2 1996/04/22 17:36:57 diego Exp $
*
* DESCRIPTION:
*
*********************************************************************/
#ifndef DBASCII_H
#define DBASCII_H

#include <ifound.h>
#include <ifound/parray.h>

declare(PtrArray, String);

class DbAscii {

//private:

	static PtrArray(String) schemas;

	static String access(const String &);

public:	

	static Int  openAsciiSchema(const String &);
	static void closeAsciiSchema(Int);
	static FILE *findAsciiTable(Int , const String &, const char *);

	static inline String asciiSchDir(const String &sch)
	{
		return access(sch);
	}
};

#endif //DBASCII_H


