/********************************************************************
* Copyright (c) 1991 InterSoft Co.  All Rights Reserved
* THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF InterSoft Co.
* The copyright notice above does not evidence any
* actual or intended publication of such source code.
*
*
* $Id: malloc.h,v 1.9 1994/11/15 21:13:05 hernan Exp $
*
*
* DESCRIPTION:
*			malloc header
*				
*
*********************************************************************/

#ifndef MALLOC_H
#define MALLOC_H

#include <ifound.h>

#ifdef __GNUC__
#pragma interface
#endif

extern "C" {
	void malloc_stats();
	void *malloc(SizeT);
	void *realloc(void* mem, SizeT);
	void free(void* mem);
	void *calloc(unsigned int n, unsigned int elem_size);
	unsigned int malloc_usable_size(void* mem);
};
#endif
