//- Copyright Notice
// -----------------------------------------------------------------------
// (C) Copyright  1996 InterSoft Argentina S.A.  All Rights Reserved
// THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF InterSoft Co.
// The copyright notice above does not evidence any actual or intended 
// publication of such source code.
//
// $Id: jsconn.h,v 1.1 1996/08/23 15:22:01 dnb Exp $
//
// Description:
// -----------------------------------------------------------------------
#ifndef JSCONN_H
#define JSCONN_H

#include <usrsrv/sconnect.h>

class String;
class Date;
class Time;

class JavaShadowConnection: public ShadowConnection {

public:	

	JavaShadowConnection(ExecMode mode, String service);

	// push parameters routines
	virtual Connection &operator<<(const String &);
	virtual Connection &operator<<(const char *);
	virtual Connection &operator<<(const Num &);
	virtual Connection &operator<<(const Date &);
	virtual Connection &operator<<(const Time &);

	// pop parameters routines
	virtual Connection &operator>>(String &s);
	virtual Connection &operator>>(char *&cp);
	virtual Connection &operator>>(Num &s);
	virtual Connection &operator>>(Date &s);
	virtual Connection &operator>>(Time &s);

private:

	void send(Int, const char *);
	void receive(Int, char *);
};

#endif //JSCONN_H


