:
# $Id: conv41.sh,v 1.3 1993/02/16 18:20:55 dino Exp $
#	Copyright (c) 1993 InterSoft Argentina S.A.
#	  All Rights Reserved

#	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF INTERSOFT
#	The copyright notice above does not evidence any
#	actual or intended publication of such source code.

# ident	"$Id: conv41.sh,v 1.3 1993/02/16 18:20:55 dino Exp $ "
#	conv41.sh schema [...] - convdb command, uses environment 
#						     variables dbase and IDEAFIX.

dbold=$dbase
mkdir ./tmp$$
dbnew=`pwd`/tmp$$
if [ $# -lt 2 ]
then
	echo "Uso: $0 path_ideafix_viejo esquema ..."
	exit 1
fi
old_ix=$1
shift
if [ \! -x $old_ix/bin/dgen ]
then
	echo "No se puede encontra el dgen del Ideafix anterior (o ejecutar)"
	exit 2
fi
echo
for i in $*
do
	j=`basename $i .sc`
	if [ -f $dbold/$j/$j.sco ]
	then
		if [ -f $j.sc ]
		then
			echo " - Verificando que el esquema "$j" se corresponda con "$j".sc"
			if $old_ix/bin/dgen -v -m $j
			then
				echo " - Convirtiendo el esquema "$j" a la version 4.1"
				dbase=$dbnew
				export dbase
				dgen -b -v $j
				mv $dbold/$j/$j.sco $dbold/$j/$j.bak 2>/dev/null
				mv $dbase/$j/$j.sco $dbold/$j/. 2>/dev/null
				rm $dbase/$j/* 2>/dev/null
				rmdir $dbase/$j 2>/dev/null
				dbase=$dbold
				export dbase
			else
				echo "*********************************************"
				echo "El archivo $j.sc no se corresponde con la"
				echo "definicion del esquema ($j.sco)."
				echo "*********************************************"
			fi
		else
			echo "*********************************************"
			echo "El archivo $j.sc no se encuentra en el"
			echo "directorio corriente."
			echo "*********************************************"
		fi
	else
		echo "******************************"
		echo "El esquema $j no existe."
		echo "******************************"
	fi
done
rmdir ./tmp$$ 2>/dev/null
