/********************************************************************
* Copyright (c) 1992 InterSoft Co.  All Rights Reserved
* THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF InterSoft Co.
* The copyright notice above does not evidence any
* actual or intended publication of such source code.
*
*
* $Id: dbexpr.h,v 1.6 1996/05/31 14:45:11 gustavof Exp $
*
*
* DESCRIPTION:
*				Class definitions for DbExpr Type.
*
*********************************************************************/

#ifndef DBEXPR_H
#define DBEXPR_H


#include <ifound/expr.h>

#if HAVE_PRAGMA_PACK
#	pragma pack(4)
#endif

class DbExpr : public Expr {

// private:

	Int field;
	UnShort row;
	
//	void resolveOthers(Instruction::Id op);
	void execGlobalObjGet();
	void execGlobalObjSet();
	Int resolveGlobalObj(const String &fName);
	
	
//	Int mapField(const String &fName);
	
public:

	DbExpr(Int f = ERROR, UnShort r = 0);
	DbExpr(const String &txt, Int f = ERROR, UnShort r = 0, 
		   EnumHandler eh = NULL);
	DbExpr(char *buff);
	~DbExpr();

	int resolveFields() { 
		int ret = !!(*this) && Expr::resolveObjects(); 
		return ret;
	}
	void setInfo(Int f = ERROR, UnShort r = 0);

	Int getField();

	const char *execute();
};

#if HAVE_PRAGMA_PACK
#	pragma pack()
#endif

#endif // TABEXPR_H
