/*
 * Copyright (c) 1995 InterSoft Co.  All Rights Reserved
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF InterSoft Co.
 * The copyright notice above does not evidence any
 * actual or intended publication of such source code.
 *
 * $Id: fmopname.h,v 1.5 1996/07/31 16:56:42 kostya Exp $
 *
 */

#ifndef FMOPNAME_H
#define FMOPNAME_H

struct FmOpt {
	enum Name {
		name,
		id,
		label,
		geometry,
		foreground,
		background,
		style,
		next_field,
		prev_field,
		has_before,
		has_after,
		unique,
		error_message,
		help_message,
		descr_message,
		autowrite,
		display_status,
		horizontal,
		vertical,
		box_mask,
		shadow,
		layout,
		orientation,
		decimal,
		bitmap,
		check,
		is,
		ignore,
		execute,
		members,
		default_value,
		min_value,
		max_value,
		not_null,
		length,
		dbfield,
		subform_field,
		subforms,
		internal,
		display_only,
		skip,
		skip_when,
		manual_subform,
		manual_help,
		is_signed,
		use_comma,
		ydelta,
		fmfield,
		schema,
		schemas,
		mask,
		inherit_from,
		editor_type,
		in_table,
		not_in_table,
		on_help_in_table,
		in_list,
		not_in_list,
		on_help_in_list,
		in_enum,
		not_in_enum,
		on_help_in_enum,
		join,
		font,
		messages,
		ignore_add,
		ignore_del,
		ignore_ins,
		old_error_message,
		old_help_message,
		old_descr_message,
		max_multi_size
	};
};

#endif

