// -------------------------------------------------------------------------
// Copyright (c) 1995 InterSoft Co.  All Rights Reserved
// THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF InterSoft Co.
// The copyright notice above does not evidence any actual or intended 
// publication of such source code.
//
// $Id: gridicon.h,v 1.5 1996/07/30 15:11:17 ksa Exp $
//
// Description:
// -------------------------------------------------------------------------

#ifndef GRIDICON_H
#define GRIDICON_H

#ifdef __GNUC__
#	pragma interface
#endif

#define  TY_ICON 5378668

class wxBitmap;
class wxDC;

class gtype(PtrHashTab, GridIcon);

class GridIcon 
{
protected:
	wxBitmap* 	bitmap_d;
	String 		name_d;

public:

	GridIcon(const String &nm = NULL_STRING);
	~GridIcon();

	void assign(const String &nm);
	String format(const String &mask);
	String name() const			{ return name_d;	}
	wxBitmap *bitmap() const	{ return bitmap_d;	}
	void blit(wxDC *dc, Int x, Int y, Int w, Int h, Int xc, Int wc);
};
#endif
