// -----------------------------------------------------------------------
// Copyright (c) 1995 InterSoft Co.  All Rights Reserved
// THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF InterSoft Co.
// The copyright notice above does not evidence any actual or intended 
// publication of such source code.
//
// $Id: iconcach.h,v 1.4 1996/07/30 15:11:21 ksa Exp $
//
// Description:
// -----------------------------------------------------------------------

#ifndef ICONCACH_H
#define ICONCACH_H

#ifdef __GNUC__
#	pragma interface
#endif

class GridIcon;

class gtype(PtrHashTab, GridIcon);

class IconCache {
	gtype(PtrHashTab, GridIcon) *icons_d;
	GridIcon *iconArray_d;
	Int nIcons_d;
	Int next_d;

	GridIcon *add(const String &n);

public:

	IconCache(Int nIcons);
	~IconCache();

	GridIcon *get(const String &n);

	static Int cmpIcons(const void *left, const void *right);
	static Int hashIcons(const void *node, Int modulo);
};

#endif   // ICONCACH_H
