/*
 * Copyright (c) 1995 InterSoft Co.  All Rights Reserved
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF InterSoft Co.
 * The copyright notice above does not evidence any
 * actual or intended publication of such source code.
 *
 * $Id: rpopname.h,v 1.2 1996/07/15 19:54:12 eugen Exp $
 *
 */

#ifndef RPOPNAME_H
#define RPOPNAME_H

struct RpOpt {
	enum Name {
		name,
		geometry,
		background,
		foreground,
		x,
		y,
		width,
		height,
		font,
		alignment,
		text,
		thickness,
		fillstyle,
		drawstyle,
		orientation,
		start_angle,
		end_angle,
		bitmapfile,
		type,
		checkdigit,
		nullzeros,
		fillzeros,
		decimal,
		isopt,
		length,
		mask,
		alias,
		nomask,
		doround,
		showsign,
		thousandsep,
		inherit_from,
		schema,
		schemas,
		leftmargin,
		rightmargin,
		topmargin,
		botmargin,
		fwidth,
		flength,
		input,
		output,
		needlines,
		before,
		after,
		condition,
		inpfields,
		papersize,
		family,
		style,
		weight,
		size,
		dbfield,
		units,
		atline,
		noprint,
		ffeed,
		eject,           
		group,
	};
};

#endif

