#ifndef PARSE_STRING_H
#define PARSE_STRING_H
//----------------    Parse string (f.e.: "test\ntest\23\0x45\054" )
/*
 *
 * \NNN  -> char with code NNN  (decimal)
 * \0NNN -> char with code 0NNN (octal)
 * \0xNN -> char with code 0xNN (hex)
 * \E    -> char with code 27   (ESC)
 * \f    -> char with code 12   (FORM FEED)
 * \n    -> char with code 10   (CR)
 * \r    -> char with code 13   (LF)
 * \t    -> char with code 9    (TAB)
 * \a    -> char a              (a - any char ( exept Efnrt ;) )
 *
 */

void translate(char*s);

#endif
