/********************************************************************
*
* Copyright (c) 1995 InterSoft Co.  All Rights Reserved
* THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF InterSoft Co.
* The copyright notice above does not evidence any
* actual or intended publication of such source code.
*
* $Id: asciiobj.h,v 1.2 1996/04/22 17:36:25 diego Exp $
*
* DESCRIPTION:
*
*********************************************************************/
#ifndef ASCIIOBJ_H
#define ASCIIOBJ_H

#include <ifound/dbobj.h>

class AsciiTable : public Table {

//private:

	static dbcursor cur; // It'll be deleted by stop() ...

	bool validOpenMode(TableData &, const String &);
	void put_(const char *);

	const AnyValue &value(const String &);

public:	

	AsciiTable(const String &, const String &);

	virtual Int get(Int);
	virtual inline void put();
	virtual inline void add();
	virtual void del();
	
	virtual inline Int fetch();
};

#include <ifound/asciiobj.icc>

#endif //ASCIIOBJ_H

