/********************************************************************
* Copyright (c) 1991 InterSoft Co.  All Rights Reserved
* THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF InterSoft Co.
* The copyright notice above does not evidence any
* actual or intended publication of such source code.
*
*
* $Id: iopipes.h,v 1.13 1996/05/30 20:43:39 hernan Exp $
*
*
* DESCRIPTION:
* Interface to pipes
*********************************************************************/
#ifndef IOPIPES_H
#define IOPIPES_H

#include <ifound.h>

#ifdef __GNUC__
#	pragma interface
#endif

#ifndef	STR_H
#	include <ifound/str.h>
#endif

Int ioPipe(String cmd, int *read_fd, int *write_fd, 
		bool useShell = true, bool captureStderr = true);
Int inputPipe(const String& cmd, int *read_fd,
		const String& inFile, bool useShell = true, bool captureStderr = true);

#endif
