/*
	This trick with 'IN_WX_HDRS' is not the standard one normally
	used in C++ headers... it is turned on when <wxwin/enter_wx.h>
	is included and turned off when <wxwin/leave_wx.h> is included.
*/

#ifndef IN_WX_HDRS
#define IN_WX_HDRS

#define Time	_X11_Time
#define String	_X11_String
#define Boolean	_X11_Boolean                 
#define LIST    _wx_LIST

#ifdef SCREEN
#undef SCREEN
#endif

#ifdef FRAME
#undef FRAME
#endif

#ifdef MENU_DEFAULT
#undef MENU_DEFAULT
#endif

#ifdef MENU_MENU
#undef MENU_MENU
#endif

#ifdef true
#undef true
#endif

#ifdef false
#undef false
#endif

#ifdef Window
#undef Window
#endif

#ifdef Status
#undef Status
#endif

// Avoid include <ctype.h> (trucho!!)
#ifndef __CTYPE_H__
#define __CTYPE_H__
#endif

// Avoid include <limits.h> (trucho!!)
#ifndef __LIMITS_H__
#define __LIMITS_H__
#endif

#ifdef ixPATH_MAX 
#undef ixPATH_MAX
#endif

#ifdef PATH_MAX
#define ixPATH_MAX PATH_MAX
#undef PATH_MAX
#endif

#ifdef CreateCursor
#undef CreateCursor
#endif

#ifdef ClosePrinter
#undef ClosePrinter
#endif

#ifndef WXWIN_BOOL_DEFS
#	define WXWIN_BOOL_DEFS
#	ifdef TRUE
#		undef TRUE
#	endif

#	ifdef FALSE
#		undef FALSE
#	endif
#endif

#endif
